<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class Appeal extends Model
{
    use HasFactory;
    use SoftDeletes;

    /**
     * The table associated with the model.
     *
     * @var string
     */
    protected $table = "appeal";

    protected $primaryKey = 'id';
    public $incrementing  = true;
    protected $fillable   = [
        "uuid",
        "location",
        "location_admin",
        "sponsor",
        "description",
        "approved",
        "reviewed",
        "created_at",
        "updated_at"
    ];
}
