@extends('frame') 

@section('title', 'Den | Location Admin')

  @section('main-content')
    @parent
    <section>
      <article>
        <h2>Page {{$pageNum}}</h2>
        <a href="/listings/{{$prev}}">PREV</a>
        {{$pageNum}} of {{$totalPages}}
        <a href="/listings/{{$next}}">NEXT</a><br /><br />
        @foreach($locations as $location)
          @php
              $action = $location->block_count + $location->silence_count;
              $rating = ($action / $sources)*100;
          @endphp
          <a class="list-link" role="listitem" href="/den/location/edit/{{$location->uuid}}">
            <span class="item-rating">{{$rating}}%</span>
            <label class="item-name">{{$location->name}}</label>
            <div class="item-silence">
              <img class="item-icon" src="/assets/images/global/status-silence.svg" title="silenced" />
              {{$location->silence_count}}
            </div>
            <div class="item-block">
              <img class="item-icon" src="/assets/images/global/status-suspend.svg" title="suspended" />
              {{$location->block_count}}
            </div>
          </a>
        @endforeach
        <br />
        <a href="/listings/{{$prev}}">PREV</a>
        {{$pageNum}} of {{$totalPages}}
        <a href="/listings/{{$next}}">NEXT</a>
      </article>
    </section>
  @endsection