<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use App\Models\User as Authenticatable;

class Member extends Authenticatable
{
    use HasFactory;

    public $timestamps    = false;
    protected $table      = "member";
    protected $primaryKey = 'id';
    public $incrementing  = true;
    protected $fillable   = [
        "uuid",
        "handle",
        "email",
        "password",
        "active",
        "role",
        "avatar",
        "pronoun",
        "created_at",
        "last_login"
    ];
}
